Index: Makefile
===================================================================
--- Makefile	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ Makefile	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -10,17 +10,9 @@
 
 # Program variables
-objects = bitlbee.o dcc.o help.o ipc.o irc.o irc_im.o irc_channel.o irc_commands.o irc_send.o irc_user.o irc_util.o nick.o $(OTR_BI) query.o root_commands.o set.o storage.o $(STORAGE_OBJS)
-headers = bitlbee.h commands.h conf.h config.h help.h ipc.h irc.h log.h nick.h query.h set.h sock.h storage.h lib/events.h lib/ftutil.h lib/http_client.h lib/ini.h lib/json.h lib/json_util.h lib/md5.h lib/misc.h lib/proxy.h lib/sha1.h lib/ssl_client.h lib/url.h protocols/account.h protocols/bee.h protocols/ft.h protocols/nogaim.h
+objects = bitlbee.o dcc.o help.o ipc.o irc.o irc_im.o irc_channel.o irc_commands.o irc_send.o irc_user.o irc_util.o nick.o $(OTR_BI) query.o root_commands.o set.o storage.o $(STORAGE_OBJS) unix.o conf.o log.o
+headers = $(wildcard *.h lib/*.h protocols/*.h)
 subdirs = lib protocols
 
-ifeq ($(TARGET),i586-mingw32msvc)
-objects += win32.o
-LDFLAGS+=-lws2_32
-EFLAGS+=-lsecur32
-OUTFILE=bitlbee.exe
-else
-objects += unix.o conf.o log.o
-OUTFILE=bitlbee
-endif
+OUTFILE = bitlbee
 
 # Expansion of variables
Index: bitlbee.c
===================================================================
--- bitlbee.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ bitlbee.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -127,5 +127,4 @@
 	global.listen_watch_source_id = b_input_add( global.listen_socket, B_EV_IO_READ, bitlbee_io_new_client, NULL );
 	
-#ifndef _WIN32
 	if( !global.conf->nofork )
 	{
@@ -151,5 +150,4 @@
 				}
 	}
-#endif
 	
 	if( global.conf->runmode == RUNMODE_FORKDAEMON )
@@ -159,5 +157,4 @@
 		ipc_master_listen_socket();
 	
-#ifndef _WIN32
 	if( ( fp = fopen( global.conf->pidfile, "w" ) ) )
 	{
@@ -169,5 +166,4 @@
 		log_message( LOGLVL_WARNING, "Warning: Couldn't write PID to `%s'", global.conf->pidfile );
 	}
-#endif
 	
 	if( !global.conf->nofork )
@@ -295,5 +291,4 @@
 	}
 	
-#ifndef _WIN32
 	if( global.conf->runmode == RUNMODE_FORKDAEMON )
 	{
@@ -357,5 +352,4 @@
 	}
 	else
-#endif
 	{
 		log_message( LOGLVL_INFO, "Creating new connection with fd %d.", new_socket );
Index: bitlbee.h
===================================================================
--- bitlbee.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ bitlbee.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -35,7 +35,4 @@
 #endif
 
-/* Depend on Windows 2000 for now since we need getaddrinfo() */
-#define _WIN32_WINNT 0x0501
-
 #define PACKAGE "BitlBee"
 #define BITLBEE_VERSION "3.2.2"
@@ -60,9 +57,5 @@
 #include <ctype.h>
 #include <errno.h>
-
-#ifndef _WIN32
 #include <syslog.h>
-#endif
-
 #include <glib.h>
 #include <gmodule.h>
Index: configure
===================================================================
--- configure	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ configure	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -484,6 +484,4 @@
 elif [ "$ssl" = "nss" ]; then
 	detect_nss
-elif [ "$ssl" = "sspi" ]; then
-	echo
 elif [ "$ssl" = "openssl" ]; then
 	echo
@@ -608,5 +606,5 @@
 	# BI == built-in
 	echo '#define OTR_BI' >> config.h
-	echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
+	echo "EFLAGS+=-L${otrprefix}/lib -lotr -lgcrypt" >> Makefile.settings
 	echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
 	echo 'OTR_BI=otr.o' >> Makefile.settings
@@ -806,7 +804,7 @@
 ;;
 CYGWIN* )
-	echo 'Cygwin is not officially supported.'
 ;;
 Windows )
+	echo 'Native windows compilation is not supported anymore, use cygwin instead.'
 ;;
 * )
Index: c/BUILD.win32
===================================================================
--- doc/BUILD.win32	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ 	(revision )
@@ -1,10 +1,0 @@
-Instructions for building BitlBee for Windows
-=============================================
-
-1) Install the mingw32 compiler
-
-2) Compile GLib2 for the target i586-mingw32msvc
-
-3) Cross-compile BitlBee:
-
-$ ./configure --target=i586-mingw32msvc --ssl=bogus --arch=Windows
Index: help.c
===================================================================
--- help.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ help.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -42,9 +42,5 @@
 	*help = h = g_new0 ( help_t, 1 );
 	
-	h->fd = open( helpfile, O_RDONLY
-#ifdef _WIN32
-				  | O_BINARY
-#endif
-				  );
+	h->fd = open( helpfile, O_RDONLY );
 	
 	if( h->fd == -1 )
Index: ipc.c
===================================================================
--- ipc.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ ipc.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -28,8 +28,6 @@
 #include "ipc.h"
 #include "commands.h"
-#ifndef _WIN32
 #include <sys/uio.h>
 #include <sys/un.h>
-#endif
 
 GSList *child_list = NULL;
@@ -843,5 +841,4 @@
 }
 
-#ifndef _WIN32
 char *ipc_master_save_state()
 {
@@ -942,11 +939,4 @@
 	return 1;
 }
-#else
-int ipc_master_listen_socket()
-{
-	/* FIXME: Open named pipe \\.\BITLBEE */
-	return 0;
-}
-#endif
 
 int ipc_master_load_state( char *statefile )
Index: lib/events.h
===================================================================
--- lib/events.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/events.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -37,9 +37,7 @@
 
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/socket.h>
 #include <netdb.h>
 #include <netinet/in.h>
-#endif
 #include <glib.h>
 #include <gmodule.h>
Index: lib/events_glib.c
===================================================================
--- lib/events_glib.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/events_glib.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -31,5 +31,4 @@
 #include <string.h>
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/socket.h>
 #include <netdb.h>
@@ -37,9 +36,4 @@
 #include <arpa/inet.h>
 #include <unistd.h>
-#else
-#include "sock.h"
-#define ETIMEDOUT WSAETIMEDOUT
-#define EINPROGRESS WSAEINPROGRESS
-#endif
 #include <fcntl.h>
 #include <errno.h>
Index: lib/http_client.c
===================================================================
--- lib/http_client.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/http_client.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -292,4 +292,7 @@
 
 cleanup:
+	/* Avoid g_source_remove warnings */
+	req->inpa = 0;
+
 	if( req->ssl )
 		ssl_disconnect( req->ssl );
Index: lib/misc.c
===================================================================
--- lib/misc.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/misc.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -420,5 +420,4 @@
 void random_bytes( unsigned char *buf, int count )
 {
-#ifndef _WIN32
 	static int use_dev = -1;
 	
@@ -470,5 +469,4 @@
 	
 	if( !use_dev )
-#endif
 	{
 		int i;
Index: lib/proxy.c
===================================================================
--- lib/proxy.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/proxy.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -26,5 +26,4 @@
 #include <string.h>
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/socket.h>
 #include <netdb.h>
@@ -32,9 +31,4 @@
 #include <arpa/inet.h>
 #include <unistd.h>
-#else
-#include "sock.h"
-#define ETIMEDOUT WSAETIMEDOUT
-#define EINPROGRESS WSAEINPROGRESS
-#endif
 #include <fcntl.h>
 #include <errno.h>
@@ -76,5 +70,4 @@
 	len = sizeof(error);
 	
-#ifndef _WIN32
 	if (getsockopt(source, SOL_SOCKET, SO_ERROR, &error, &len) < 0 || error) {
 		if ((phb->gai_cur = phb->gai_cur->ai_next)) {
@@ -101,5 +94,4 @@
 		return FALSE;
 	}
-#endif
 	freeaddrinfo(phb->gai);
 	sock_make_blocking(source);
Index: lib/proxy.h
===================================================================
--- lib/proxy.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/proxy.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -28,9 +28,7 @@
 
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/socket.h>
 #include <netdb.h>
 #include <netinet/in.h>
-#endif
 #include <glib.h>
 #include <gmodule.h>
Index: lib/ssl_gnutls.c
===================================================================
--- lib/ssl_gnutls.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ lib/ssl_gnutls.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -236,5 +236,5 @@
 static void ssl_cache_add( struct scd *conn )
 {
-	size_t data_size;
+	size_t data_size = 0;
 	struct ssl_session *data;
 	char *hostname;
@@ -245,5 +245,5 @@
 	
 	data = g_malloc( sizeof( struct ssl_session ) + data_size );
-	if( gnutls_session_get_data( conn->session, data->data, &data->size ) != 0 )
+	if( gnutls_session_get_data( conn->session, data->data, &data_size ) != 0 )
 	{
 		g_free( data );
@@ -335,4 +335,7 @@
 	int st, stver;
 	
+	/* This function returns false, so avoid calling b_event_remove again */
+	conn->inpa = -1;
+	
 	if( ( st = gnutls_handshake( conn->session ) ) < 0 )
 	{
Index: b/ssl_sspi.c
===================================================================
--- lib/ssl_sspi.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ 	(revision )
@@ -1,278 +1,0 @@
-  /********************************************************************\
-  * BitlBee -- An IRC to other IM-networks gateway                     *
-  *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
-  \********************************************************************/
-
-/* SSL module - SSPI backend */
-
-/* Copyright (C) 2005 Jelmer Vernooij <jelmer@samba.org> */
-
-/*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-  You should have received a copy of the GNU General Public License with
-  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
-  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-  Suite 330, Boston, MA  02111-1307  USA
-*/
-
-#include "ssl_client.h"
-#include <windows.h>
-#define SECURITY_WIN32
-#include <security.h>
-#include <sspi.h>
-#include <schannel.h>
-#include "sock.h"
-
-static gboolean initialized = FALSE;
-int ssl_errno;
-
-struct scd
-{
-	int fd;
-	ssl_input_function func;
-	gpointer data;
-	gboolean established;
-  	CredHandle cred;		/* SSL credentials */
-	CtxtHandle context;		/* SSL context */
-	SecPkgContext_StreamSizes sizes;
-
-	char *host;
-
-	char *pending_raw_data;
-	gsize pending_raw_data_len;
-	char *pending_data;
-	gsize pending_data_len;
-};
-
-static void ssl_connected(gpointer, gint, GaimInputCondition);
-
-void sspi_global_init(void)
-{
-	/* FIXME */
-}
-
-void sspi_global_deinit(void)
-{
-	/* FIXME */
-}
-
-void *ssl_connect(char *host, int port, ssl_input_function func, gpointer data)
-{
-	struct scd *conn = g_new0(struct scd, 1);
-		
-	conn->fd = proxy_connect(host, port, ssl_connected, conn);
-	sock_make_nonblocking(conn->fd);
-	conn->func = func;
-	conn->data = data;
-	conn->host = g_strdup(host);
-	
-	if (conn->fd < 0)
-	{
-		g_free(conn);
-		return NULL;
-	}
-	
-	if (!initialized)
-	{
-		sspi_global_init();
-		initialized = TRUE;
-		atexit(sspi_global_deinit);
-	}
-
-	return conn;
-}
-
-static void ssl_connected(gpointer _conn, gint fd, GaimInputCondition cond)
-{
-	struct scd *conn = _conn;
-	SCHANNEL_CRED ssl_cred;
-	TimeStamp timestamp;
-	SecBuffer ibuf[2],obuf[1];
-	SecBufferDesc ibufs,obufs;
-	ULONG req = ISC_REQ_REPLAY_DETECT | ISC_REQ_SEQUENCE_DETECT |
-    	ISC_REQ_CONFIDENTIALITY | ISC_REQ_USE_SESSION_KEY |
-      	ISC_REQ_ALLOCATE_MEMORY | ISC_REQ_STREAM | ISC_REQ_EXTENDED_ERROR |
-		ISC_REQ_MANUAL_CRED_VALIDATION;
-	ULONG a;
-	gsize size = 0;
-	gchar *data = NULL;
-
-	memset(&ssl_cred, 0, sizeof(SCHANNEL_CRED));
-	ssl_cred.dwVersion = SCHANNEL_CRED_VERSION;
-	ssl_cred.grbitEnabledProtocols = SP_PROT_SSL3_CLIENT;
-
-	SECURITY_STATUS st = AcquireCredentialsHandle(NULL, UNISP_NAME, SECPKG_CRED_OUTBOUND, NULL, &ssl_cred, NULL, NULL, &conn->cred, &timestamp);
-
-	if (st != SEC_E_OK) {
-		conn->func(conn->data, NULL, cond);
-		return;
-	}
-	
-	do {
-		/* initialize buffers */
-	    ibuf[0].cbBuffer = size; ibuf[0].pvBuffer = data;
-	    ibuf[1].cbBuffer = 0; ibuf[1].pvBuffer = NULL;
-	    obuf[0].cbBuffer = 0; obuf[0].pvBuffer = NULL;
-    	ibuf[0].BufferType = obuf[0].BufferType = SECBUFFER_TOKEN;
-	    ibuf[1].BufferType = SECBUFFER_EMPTY;
-
-		/* initialize buffer descriptors */
-	    ibufs.ulVersion = obufs.ulVersion = SECBUFFER_VERSION;
-	    ibufs.cBuffers = 2; obufs.cBuffers = 1;
-	    ibufs.pBuffers = ibuf; obufs.pBuffers = obuf;
-
-		st = InitializeSecurityContext(&conn->cred, size?&conn->context:NULL, conn->host, req, 0, SECURITY_NETWORK_DREP, size?&ibufs:NULL, 0, &conn->context, &obufs, &a, &timestamp);  
-    	if (obuf[0].pvBuffer && obuf[0].cbBuffer) {
-			/* FIXME: Check return value */
-			send(conn->fd, obuf[0].pvBuffer, obuf[0].cbBuffer, 0);
-		}
-
-		switch (st) {
-		case SEC_I_INCOMPLETE_CREDENTIALS:
-			break;
-		case SEC_I_CONTINUE_NEEDED:
-			break;
-		case SEC_E_INCOMPLETE_MESSAGE:
-			break;
-		case SEC_E_OK:
-			break;
-		}
-	
-		QueryContextAttributes(&conn->context, SECPKG_ATTR_STREAM_SIZES, &conn->sizes);
-	} while (1);
-
-	conn->func(conn->data, conn, cond);
-}
-
-int ssl_read(void *conn, char *retdata, int len)
-{
-	struct scd *scd = conn;
-	SecBufferDesc msg;
-	SecBuffer buf[4];
-	int ret = -1, i;
-	char *data = g_malloc(scd->sizes.cbHeader + scd->sizes.cbMaximumMessage + scd->sizes.cbTrailer);
-
-	/* FIXME: Try to read some data */
-
-  	msg.ulVersion = SECBUFFER_VERSION;
-	msg.cBuffers = 4;
-	msg.pBuffers = buf;
-	
-	buf[0].BufferType = SECBUFFER_DATA;
-	buf[0].cbBuffer = len;
-	buf[0].pvBuffer = data;
-
-	buf[1].BufferType = SECBUFFER_EMPTY;
-	buf[2].BufferType = SECBUFFER_EMPTY;
-	buf[3].BufferType = SECBUFFER_EMPTY;
-
-	SECURITY_STATUS st = DecryptMessage(&scd->context, &msg, 0, NULL);
-
-	if (st != SEC_E_OK) {
-		/* FIXME */
-		return -1;
-	}
-
-	for (i = 0; i < 4; i++) {
-		if (buf[i].BufferType == SECBUFFER_DATA) {
-			memcpy(retdata, buf[i].pvBuffer, len);
-			ret = len;
-		}	
-	}
-
-	g_free(data);
-	return -1;
-}
-
-int ssl_write(void *conn, const char *userdata, int len)
-{
-	struct scd *scd = conn;
-	SecBuffer buf[4];
-	SecBufferDesc msg;
-	char *data;
-	int ret;
-
-	msg.ulVersion = SECBUFFER_VERSION;
-	msg.cBuffers = 4;
-	msg.pBuffers = buf;
-
-	data = g_malloc(scd->sizes.cbHeader + scd->sizes.cbMaximumMessage + scd->sizes.cbTrailer);
-	memcpy(data + scd->sizes.cbHeader, userdata, len);
-
-	buf[0].BufferType = SECBUFFER_STREAM_HEADER;
-	buf[0].cbBuffer = scd->sizes.cbHeader;
-	buf[0].pvBuffer = data;
-
-	buf[1].BufferType = SECBUFFER_DATA;
-	buf[1].cbBuffer = len;
-	buf[1].pvBuffer = data + scd->sizes.cbHeader;
-
-	buf[2].BufferType = SECBUFFER_STREAM_TRAILER;
-	buf[2].cbBuffer = scd->sizes.cbTrailer;
-	buf[2].pvBuffer = data + scd->sizes.cbHeader + len;
-	buf[3].BufferType = SECBUFFER_EMPTY;
-
-	SECURITY_STATUS st = EncryptMessage(&scd->context, 0, &msg, 0);
-
-	ret = send(scd->fd, data, 
-				buf[0].cbBuffer + buf[1].cbBuffer + buf[2].cbBuffer, 0);
-
-	g_free(data);
-
-	return ret;
-}
-
-void ssl_disconnect(void *conn)
-{
-	struct scd *scd = conn;
-
-	SecBufferDesc msg;
-	SecBuffer buf;
-	DWORD dw;
-
-	dw = SCHANNEL_SHUTDOWN;
-	buf.cbBuffer = sizeof(dw);
-	buf.BufferType = SECBUFFER_TOKEN;
-	buf.pvBuffer = &dw;
-	
-	msg.ulVersion = SECBUFFER_VERSION;
-	msg.cBuffers = 1;
-	msg.pBuffers = &buf;
-
-	SECURITY_STATUS st = ApplyControlToken(&scd->context, &msg);
-
-	if (st != SEC_E_OK) {
-		/* FIXME */
-	}
-	
-	/* FIXME: call InitializeSecurityContext(Schannel), passing 
-	 * in empty buffers*/
-
-	DeleteSecurityContext(&scd->context);
-
-	FreeCredentialsHandle(&scd->cred);
-
-	closesocket(scd->fd);
-	g_free(scd->host);
-	g_free(scd);
-}
-
-int ssl_getfd(void *conn)
-{
-	return ((struct scd*)conn)->fd;
-}
-
-GaimInputCondition ssl_getdirection( void *conn )
-{
-	return B_EV_IO_WRITE; /* FIXME: or B_EV_IO_READ */
-}
Index: protocols/msn/soap.h
===================================================================
--- protocols/msn/soap.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/msn/soap.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -36,10 +36,8 @@
 #include <string.h>
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/socket.h>
 #include <netinet/in.h>
 #include <arpa/inet.h>
 #include <unistd.h>
-#endif
 #include "nogaim.h"
 
Index: protocols/oscar/rxqueue.c
===================================================================
--- protocols/oscar/rxqueue.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/oscar/rxqueue.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -9,7 +9,5 @@
 #include <aim.h> 
 
-#ifndef _WIN32
 #include <sys/socket.h>
-#endif
 
 /*
Index: protocols/oscar/txqueue.c
===================================================================
--- protocols/oscar/txqueue.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/oscar/txqueue.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -9,7 +9,5 @@
 #include "im.h"
 
-#ifndef _WIN32
 #include <sys/socket.h>
-#endif
 
 /*
Index: protocols/twitter/twitter.c
===================================================================
--- protocols/twitter/twitter.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/twitter/twitter.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -323,5 +323,5 @@
 	s = set_add(&acc->set, "show_ids", "true", set_eval_bool, acc);
 
-	s = set_add(&acc->set, "show_old_mentions", "20", set_eval_int, acc);
+	s = set_add(&acc->set, "show_old_mentions", "0", set_eval_int, acc);
 
 	s = set_add(&acc->set, "strip_newlines", "false", set_eval_bool, acc);
@@ -617,5 +617,7 @@
 
 		goto eof;
-	} else if (g_strcasecmp(cmd[0], "favourite") == 0 && cmd[1]) {
+	} else if ((g_strcasecmp(cmd[0], "favourite") == 0 ||
+		    g_strcasecmp(cmd[0], "favorite") == 0 ||
+		    g_strcasecmp(cmd[0], "fav") == 0) && cmd[1]) {
 		if ((id = twitter_message_id_from_command_arg(ic, cmd[1], NULL))) {
 			twitter_favourite_tweet(ic, id);
Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/yahoo/libyahoo2.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -48,7 +48,5 @@
  */
 
-#ifndef _WIN32
 #include <unistd.h>
-#endif
 #include <errno.h>
 #include <stdio.h>
Index: protocols/yahoo/yahoo_httplib.c
===================================================================
--- protocols/yahoo/yahoo_httplib.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/yahoo/yahoo_httplib.c	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -38,7 +38,5 @@
 
 #include <errno.h>
-#ifndef _WIN32
 #include <unistd.h>
-#endif
 #include <ctype.h>
 #include "yahoo2.h"
Index: protocols/yahoo/yahoo_util.h
===================================================================
--- protocols/yahoo/yahoo_util.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ protocols/yahoo/yahoo_util.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -65,5 +65,4 @@
 void y_strfreev(char **vector);
 
-#ifndef _WIN32
 int strncasecmp(const char *s1, const char *s2, size_t n);
 int strcasecmp(const char *s1, const char *s2);
@@ -73,5 +72,4 @@
 int snprintf(char *str, size_t size, const char *format, ...);
 int vsnprintf(char *str, size_t size, const char *format, va_list ap);
-#endif
 
 #endif
Index: sock.h
===================================================================
--- sock.h	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ sock.h	(revision f329dfc7baea7e1edc1c664fad70ee0415c2330b)
@@ -2,5 +2,4 @@
 #include <fcntl.h>
 
-#ifndef _WIN32
 #include <unistd.h>
 #include <sys/socket.h>
@@ -12,15 +11,2 @@
 #define sockerr_again() (errno == EINPROGRESS || errno == EINTR)
 void closesocket( int fd );
-#else
-# include <winsock2.h>
-# include <ws2tcpip.h>
-# if !defined(BITLBEE_CORE) && defined(_MSC_VER)
-#   pragma comment(lib,"bitlbee.lib")
-# endif
-# include <io.h>
-# define sock_make_nonblocking(fd) { int non_block = 1; ioctlsocket(fd, FIONBIO, &non_block); }
-# define sock_make_blocking(fd) { int non_block = 0; ioctlsocket(fd, FIONBIO, &non_block); }
-# define sockerr_again() (WSAGetLastError() == WSAEINTR || WSAGetLastError() == WSAEINPROGRESS || WSAGetLastError() == WSAEWOULDBLOCK)
-# define ETIMEDOUT WSAETIMEDOUT
-# define sleep(a) Sleep(a*1000)
-#endif
Index: n32.c
===================================================================
--- win32.c	(revision e01ff50356308058948fe5c21126a8f08f76f407)
+++ 	(revision )
@@ -1,331 +1,0 @@
-  /********************************************************************\
-  * BitlBee -- An IRC to other IM-networks gateway					 *
-  *																	*
-  * Copyright 2002-2004 Wilmer van der Gaast and others				*
-  \********************************************************************/
-
-/* Main file (Windows specific part)								   */
-
-/*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-  You should have received a copy of the GNU General Public License with
-  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
-  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-  Suite 330, Boston, MA  02111-1307  USA
-*/
-
-#define BITLBEE_CORE
-#include "bitlbee.h"
-#include "commands.h"
-#include "protocols/nogaim.h"
-#include "help.h"
-#include <signal.h>
-#include <windows.h>
-
-global_t global;	/* Against global namespace pollution */
-
-static void WINAPI service_ctrl (DWORD dwControl)
-{
-	switch (dwControl)
-	{
-		case SERVICE_CONTROL_STOP:
-			/* FIXME */
-			break;
-
-		case SERVICE_CONTROL_INTERROGATE:
-			break;
-
-		default:
-			break;
-
-	}
-}
-
-static void bitlbee_init(int argc, char **argv)
-{
-	int i = -1;
-	memset( &global, 0, sizeof( global_t ) );
-
-	b_main_init();
-	
-	global.conf = conf_load( argc, argv );
-	if( global.conf == NULL )
-		return;
-	
-	if( global.conf->runmode == RUNMODE_INETD )
-	{
-		i = bitlbee_inetd_init();
-		log_message( LOGLVL_INFO, "Bitlbee %s starting in inetd mode.", BITLBEE_VERSION );
-
-	}
-	else if( global.conf->runmode == RUNMODE_DAEMON )
-	{
-		i = bitlbee_daemon_init();
-		log_message( LOGLVL_INFO, "Bitlbee %s starting in daemon mode.", BITLBEE_VERSION );
-	} 
-	else 
-	{
-		log_message( LOGLVL_INFO, "No bitlbee mode specified...");
-	}
-	
-	if( i != 0 )
-		return;
- 	
-	if( access( global.conf->configdir, F_OK ) != 0 )
-		log_message( LOGLVL_WARNING, "The configuration directory %s does not exist. Configuration won't be saved.", global.conf->configdir );
-	else if( access( global.conf->configdir, 06 ) != 0 )
-		log_message( LOGLVL_WARNING, "Permission problem: Can't read/write from/to %s.", global.conf->configdir );
-	if( help_init( &(global.help), HELP_FILE ) == NULL )
-		log_message( LOGLVL_WARNING, "Error opening helpfile %s.", global.helpfile );
-}
-
-void service_main (DWORD argc, LPTSTR *argv)
-{
-	SERVICE_STATUS_HANDLE handle;
-	SERVICE_STATUS status;
-
-	handle = RegisterServiceCtrlHandler("bitlbee", service_ctrl);
-
-	if (!handle)
-		return;
-
-	status.dwServiceType = SERVICE_WIN32_OWN_PROCESS;
-	status.dwServiceSpecificExitCode = 0;
-
-	bitlbee_init(argc, argv);
-
-	SetServiceStatus(handle, &status);
-	
-	b_main_run( );
-}
-
-SERVICE_TABLE_ENTRY dispatch_table[] =
-{
-   { TEXT("bitlbee"), (LPSERVICE_MAIN_FUNCTION)service_main },
-   { NULL, NULL }
-};
-
-static int debug = 0;
-
-static void usage()
-{
-	printf("Options:\n");
-	printf("-h   Show this help message\n");
-	printf("-d   Debug mode (simple console program)\n");
-}
-
-int main( int argc, char **argv)
-{	
-	int i;
-	WSADATA WSAData;
-
-	nogaim_init( );
-
-	for (i = 1; i < argc; i++) {
-		if (!strcmp(argv[i], "-d")) debug = 1;
-		if (!strcmp(argv[i], "-h")) {
-			usage();
-			return 0;
-		}
-	}
-
-	WSAStartup(MAKEWORD(1,1), &WSAData);
-
-	if (!debug) {
-		if (!StartServiceCtrlDispatcher(dispatch_table))
-			log_message( LOGLVL_ERROR, "StartServiceCtrlDispatcher failed.");
-	} else {
-			bitlbee_init(argc, argv);
- 			b_main_run();
-	}
-	
-	return 0;
-}
-
-double gettime()
-{
-	return (GetTickCount() / 1000);
-}
-
-void conf_get_string(HKEY section, const char *name, const char *def, char **dest)
-{
-	char buf[4096];
-	long x;
-	if (RegQueryValue(section, name, buf, &x) == ERROR_SUCCESS) {
-		*dest = g_strdup(buf);
-	} else if (!def) {
-		*dest = NULL;
-	} else {
-		*dest = g_strdup(def);
-	}
-}
-
-
-void conf_get_int(HKEY section, const char *name, int def, int *dest)
-{
-	char buf[20];
-	long x;
-	DWORD y;
-	if (RegQueryValue(section, name, buf, &x) == ERROR_SUCCESS) {
-		memcpy(&y, buf, sizeof(DWORD));
-		*dest = y;
-	} else {
-		*dest = def;
-	}
-}
-
-conf_t *conf_load( int argc, char *argv[] ) 
-{
-	conf_t *conf;
-	HKEY key, key_main, key_proxy;
-	char *tmp;
-
-	RegOpenKey(HKEY_CURRENT_USER, "SOFTWARE\\Bitlbee", &key);
-	RegOpenKey(key, "main", &key_main);
-	RegOpenKey(key, "proxy", &key_proxy);
-	
-	memset( &global, 0, sizeof( global_t ) );
-	b_main_init();
-
-	conf = g_new0( conf_t,1 );
-	global.conf = conf;
-	conf_get_string(key_main, "interface_in", "0.0.0.0", &global.conf->iface_in);
-	conf_get_string(key_main, "interface_out", "0.0.0.0", &global.conf->iface_out);
-	conf_get_string(key_main, "port", "6667", &global.conf->port);
-	conf_get_int(key_main, "verbose", 0, &global.conf->verbose);
-	conf_get_string(key_main, "auth_pass", "", &global.conf->auth_pass);
-	conf_get_string(key_main, "oper_pass", "", &global.conf->oper_pass);
-	conf_get_int(key_main, "ping_interval_timeout", 60, &global.conf->ping_interval);
-	conf_get_string(key_main, "hostname", "localhost", &global.conf->hostname);
-	conf_get_string(key_main, "configdir", NULL, &global.conf->configdir);
-	conf_get_string(key_main, "motdfile", NULL, &global.conf->motdfile);
-	conf_get_string(key_main, "helpfile", NULL, &global.helpfile);
-	global.conf->runmode = RUNMODE_DAEMON;
-	conf_get_int(key_main, "AuthMode", AUTHMODE_OPEN, (int *)&global.conf->authmode);
-	conf_get_string(key_proxy, "host", "", &tmp); strcpy(proxyhost, tmp);
-	conf_get_string(key_proxy, "user", "", &tmp); strcpy(proxyuser, tmp);
-	conf_get_string(key_proxy, "password", "", &tmp); strcpy(proxypass, tmp);
-	conf_get_int(key_proxy, "type", PROXY_NONE, &proxytype);
-	conf_get_int(key_proxy, "port", 3128, &proxyport);
-
-	RegCloseKey(key);
-	RegCloseKey(key_main);
-	RegCloseKey(key_proxy);
-
-	return conf;
-}
-
-void conf_loaddefaults( irc_t *irc )
-{
-	HKEY key_defaults;
-	int i;
-	char name[4096], data[4096];
-	DWORD namelen = sizeof(name), datalen = sizeof(data);
-	DWORD type;
-	if (RegOpenKey(HKEY_LOCAL_MACHINE, "SOFTWARE\\Bitlbee\\defaults", &key_defaults) != ERROR_SUCCESS) {
-		return;
-	}
-
-	for (i = 0; RegEnumValue(key_defaults, i, name, &namelen, NULL, &type, data, &datalen) == ERROR_SUCCESS; i++) {
-		set_t *s = set_find( &irc->set, name );
-			
-		if( s )
-		{
-			if( s->def ) g_free( s->def );
-			s->def = g_strdup( data );
-		}
-
-		namelen = sizeof(name);
-		datalen = sizeof(data);
-	}
-
-	RegCloseKey(key_defaults);
-}
-
-#ifndef INADDR_NONE
-#define INADDR_NONE 0xffffffff
-#endif
-
-int
-inet_aton(const char *cp, struct in_addr *addr)
-{
-  addr->s_addr = inet_addr(cp);
-  return (addr->s_addr == INADDR_NONE) ? 0 : 1;
-}
-
-void log_error(char *msg)
-{
-	log_message(LOGLVL_ERROR, "%s", msg);
-}
-
-void log_message(int level, char *message, ...)
-{
-	HANDLE  hEventSource;
-	LPTSTR  lpszStrings[2];
-	WORD elevel;
-	va_list ap;
-
-	va_start(ap, message);
-
-	if (debug) {
-		vprintf(message, ap);
-		putchar('\n');
-		va_end(ap);
-		return;
-	}
-
-	hEventSource = RegisterEventSource(NULL, TEXT("bitlbee"));
-
-	lpszStrings[0] = TEXT("bitlbee");
-	lpszStrings[1] = g_strdup_vprintf(message, ap);
-	va_end(ap);
-
-	switch (level) {
-	case LOGLVL_ERROR: elevel = EVENTLOG_ERROR_TYPE; break;
-	case LOGLVL_WARNING: elevel = EVENTLOG_WARNING_TYPE; break;
-	case LOGLVL_INFO: elevel = EVENTLOG_INFORMATION_TYPE; break;
-#ifdef DEBUG
-	case LOGLVL_DEBUG: elevel = EVENTLOG_AUDIT_SUCCESS; break;
-#endif
-	}
-
-	if (hEventSource != NULL) {
-		ReportEvent(hEventSource, 
-		elevel,
-		0,					
-		0,					
-		NULL,				 
-		2,					
-		0,					
-		lpszStrings,		  
-		NULL);				
-
-		DeregisterEventSource(hEventSource);
-	}
-
-	g_free(lpszStrings[1]);
-}
-
-void log_link(int level, int output) { /* FIXME */ }
-
-struct tm *
-gmtime_r (const time_t *timer, struct tm *result)
-{
-	struct tm *local_result;
-	local_result = gmtime (timer);
-
-	if (local_result == NULL || result == NULL)
-		return NULL;
-
-	memcpy (result, local_result, sizeof (result));
-	return result;
-} 
